petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMDACreateAggregates

Gets the aggregates that map between grids associated with two DMDAs.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDACreateAggregates(DM dac,DM daf,Mat *rest)

Collective on dmc

### Input Parameters

| dmc | - the coarse grid DMDA
| dmf | - the fine grid DMDA

### Output Parameters

rest -the restriction matrix (transpose of the projection matrix)

Note: This routine is not used by PETSc. It is not clear what its use case is and it may be removed in a future release. Users should contact petsc-maint@mcs.anl.gov if they plan to use it.

### See Also

DMRefine(), DMCreateInjection(), DMCreateInterpolation()

### Level

intermediate

### Location

src/dm/impls/da/dainterp.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages